CVE-2015-2265

high

Description

The remove_bad_chars function in utils/cups-browsed.c in cups-filters before 1.0.66 allows remote IPP printers to execute arbitrary commands via consecutive shell metacharacters in the (1) model or (2) PDL. NOTE: this vulnerability exists because of an incomplete fix for CVE-2014-2707.

References

http://advisories.mageia.org/MGASA-2015-0132.html

http://bzr.linuxfoundation.org/loggerhead/openprinting/cups-filters/revision/7333

http://lists.opensuse.org/opensuse-updates/2015-07/msg00033.html

http://www.mandriva.com/security/advisories?name=MDVSA-2015:196

http://www.ubuntu.com/usn/USN-2532-1

https://bugs.linuxfoundation.org/show_bug.cgi?id=1265

Details

Source: MITRE

Published: 2015-03-24

Updated: 2016-12-28

Type: CWE-77

Risk Information

CVSS v2

Base Score: 7.5

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 10

Severity: HIGH